<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2aofk
 * @copyright 2019 - 2020 Mariusz Boloz (https://mb2themes.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */


defined('MOODLE_INTERNAL') || die();


// Message displayed to the user when they choose this theme.
$string['choosereadme'] = 'Hey, I\'m Apple of Knowledge Theme';


// Human readable name of the plugin.
$string['pluginname'] = 'Apple of Knowledge';


// Global
$string['bold'] = 'Bold';
$string['bolder'] = 'Bolder';
$string['bottom'] = 'Bottom';
$string['center'] = 'Center';
$string['color'] = 'Color';
$string['dark'] = 'Dark';
$string['ddmenu'] = 'Drop Down menu';
$string['default'] = 'Default';
$string['description'] = 'Description';
$string['fade'] = 'Fade';
$string['general'] = 'General';
$string['global'] = 'Global';
$string['header'] = 'Header';
$string['headings'] = 'Headings';
$string['hide'] = 'Hide';
$string['icon'] = 'Icon';
$string['icondesc'] = 'Glyphicon, Font Awesome or PE-icon-7-stroke icon name, e.g. \'fa-envelope\'.';
$string['image'] = 'Image';
$string['inherit'] = 'Inherit';
$string['left'] = 'Left';
$string['light'] = 'Light';
$string['lighter'] = 'Lighter';
$string['link'] = 'Link';
$string['links'] = 'Links';
$string['margindesc'] = 'Margin: top right bottom left.';
$string['menu'] = 'Menu';
$string['menu'] = 'Menu';
$string['name'] = 'Name';
$string['no'] = 'No';
$string['none'] = 'None';
$string['normal'] = 'Normal';
$string['openlink'] = 'Open Link';
$string['openlinkblank'] = 'In a new window';
$string['openlinkself'] = 'In the same window';
$string['options'] = 'Options';
$string['ordering'] = 'Ordering';
$string['orderingdesc'] = 'Leave it empty to use default ordering.';
$string['right'] = 'Right';
$string['settingslink'] = 'Theme Settings';
$string['show'] = 'Show';
$string['slide'] = 'Slide';
$string['style'] = 'Style';
$string['subtitle'] = 'Sub Title';
$string['text'] = 'Text';
$string['textdesc'] = 'Optional text.';
$string['title'] = 'Title';
$string['top'] = 'Top';
$string['url'] = 'Url';
$string['yes'] = 'Yes';
$string['loading'] = 'Loading...';



// Regions
$string['region-adminblock'] = 'Adminblock';
$string['region-side-pre'] = 'Side Pre';
$string['region-side-post'] = 'Side Post';
$string['region-bottom-a'] = 'Bottom A';
$string['region-bottom-b'] = 'Bottom B';
$string['region-bottom-c'] = 'Bottom C';
$string['region-bottom-d'] = 'Bottom D';
$string['region-content-top'] = 'Content Top';
$string['region-content-bottom'] = 'Content Bottom';


// Frontend
$string['foldernoexists'] = 'Images folder does not exists.';
$string['folderisempty'] = 'Images folder is empty.';
$string['adminblockinfo'] = 'Blocks placed in this region will be visible only for admin users.';
$string['entercourse'] = 'Enter this course';
$string['showsidebar'] = 'Show sidebars';
$string['hidesidebar'] = 'Hide sidebars';
$string['noactivities'] = 'No activities found.';
$string['fontsmall'] = 'Small font';
$string['fontmedium'] = 'Medium font';
$string['fontbig'] = 'Big font';
$string['fontsize'] = 'Font size:';
$string['mb2shortcodes_filter_plugin'] = '<strong>Mb2 Shortcodes Filter</strong> plugin must be <strong>installed</strong> and <strong><u>activated</u></strong>. Please see <a href="https://mb2themes.com/docs/apple-of-knowledge/#sc_filter" target="_blank">documentation</a>.';
$string['mb2shortcodes_button_plugin'] = '<strong>Mb2 Shortcodes Button</strong> plugin must be installed. Please see <a href="https://mb2themes.com/docs/apple-of-knowledge/#sc_button" target="_blank">documentation</a>.';
$string['mb2slides_plugin'] = '<strong>Mb2 Slides</strong> plugin must be installed. Please see <a href="https://mb2themes.com/docs/cognitio/#slider" target="_blank">documentation</a>';
$string['mb2slides_plugin_empty'] = 'Mb2 Slides plugin is installed! Go to plugin page to <a href="{$a->link}">Manage slides</a>.';
$string['allsettings'] = 'All settings';
$string['popularlinks'] = 'Popular links:';
$string['recyclebin'] = 'Recycle bin';
$string['eventmonitoring'] = 'Event monitoring';
$string['livelogs'] = 'Live logs';
$string['courseparticipation'] = 'Course participation';
$string['coursemanagement'] = 'Course management';
$string['coursedashboard'] = 'Course dashboard';
$string['studentsandyou'] = '{$a->students} and you';
$string['frontpagebuilder'] = 'Front page builder';
$string['readmore'] = 'Read more';
$string['hidden'] = 'Hidden';
$string['noprice'] = 'Free';
$string['nocourseincategory'] = 'No courses';
$string['mybookmarks'] = 'Bookmarks';
$string['wentwrong'] = 'Something went wrong';
$string['bkmarklimit'] = 'You may add up to {$a->limit} bookmarks';
$string['layoutgrid'] = 'Grid layout';
$string['layoutlist'] = 'List layout';


// Page builder
$string['cpanel'] = 'Content panel';
$string['imagepos'] = 'Image position';
$string['customcolor'] = 'Custom color';


// Settings tabs
$string['settingsgeneral'] = 'General';
$string['settingsfeatures'] = 'Features';
$string['settingsnav'] = 'Menus';
$string['settingssocial'] = 'Social';
$string['settingsfonts'] = 'Fonts';
$string['settingstypography'] = 'Typography';
$string['settingsstyle'] = 'Style';


// Settings panel
$string['documentation'] = 'Documentation';
$string['morethemes'] = 'More Themes';
$string['urldoc'] = 'https://mb2themes.com/docs/apple-of-knowledge/';
$string['urlmore'] = 'https://themeforest.net/user/marbol2/portfolio';


// Settings general
$string['logo'] = 'Logo and Favicon';
$string['favicon'] = 'Favicon';
$string['logoimg'] = 'Logo Image';
$string['logow'] = 'Logo Width (px)';
$string['logowdesc'] = 'Logo width in pixels. Logo height will be set automatically.';
$string['logotitle'] = 'Logo Title Text';
$string['logotitledesc'] = 'Logo link "title" attribute. Require for SEO.';
$string['logoalttext'] = 'Logo Image Alternative Text';
$string['logoalttextdesc'] = 'Logo image "alt" attribute. Require for SEO.';
$string['pagewidth'] = 'Page Width (px)';
$string['langpos'] = 'Language List Position';
$string['langmargin'] = 'Language List Margin';
$string['sidebarpos'] = 'Sidebars Position';
$string['classic'] = 'Classic';
$string['layout'] = 'Layout';
$string['layoutfw'] = 'Full width';
$string['layoutfx'] = 'Boxed';
$string['blockstyle'] = 'Block Region Class';
$string['blockstyledesc'] = 'Custom css class for block regions. Css class for each region ("regionName:className") must be placed in a new line.';
$string['footer'] = 'Footer';
$string['foottext'] = 'Footer text';
$string['footmenu'] = 'Footer menu';
$string['footlogin'] = 'Login Info in Footer';
$string['regions'] = 'Block Regions';
$string['coursesettings'] = 'Courses';
$string['courseplimg'] = 'Course Placeholder Image';
$string['coursebtn'] = 'Enter Course Button';
$string['coursestudentscount'] = 'Enrolled Students';
$string['studentsroleid'] = 'Students Role ID';
$string['faviconimg'] = 'Favicon';
$string['favicondesc'] = 'Upload favicon image in "ico" format.';
$string['coursescls'] = 'Course Css Class';
$string['coursesclsdesc'] = 'Custom css class for courses. Css class for each course ("courseID:className") must be placed in a new line.';
$string['cbannerstyle'] = 'Course banner image';
$string['cbannername'] = 'Course name';
$string['banner'] = "Image banner";
$string['bannerimg'] = 'Custom banner image';
$string['sidebarbtn'] = 'Show/Hide Sidebars';
$string['sidebaryesshow'] = 'Yes and show sidebars';
$string['sidebaryeshide'] = 'Yes and hide sidebars';
$string['staticcontent'] = 'Static Content';
$string['topinfo'] = 'Top Bar Content';
$string['btinfo'] = 'Bottom Bar Content';
$string['navbarplugin'] = 'Messages and notifications plugins';
$string['staticinfodesc'] = 'Each line consists separated by pipe characters "|":<br>text::optional icon name|optional url::"1" to open link in a new window|language code or comma-separated codes|"1" to show text for logged in users only or "2" to show text for none logged in users only.<br>For example:<pre>Text with icon::fa-life-ring
Link with icon open in a new window::fa-link|http://example.com::1
English text||en
Spanish link text|http://example.com|es
English and Spanish text||en,es
Text for logged in users|||1
Text for guests|||2</pre>';
$string['staticmenudesc'] = 'Each line consists separated by pipe characters "|":<br>text|url::"1" to open link in a new window|language code or comma-separated codes|"1" to show item for logged in users only or "2" to show item for none logged in users only.<br>For example:<pre>Menu item|http://example.com
Menu item open in a new window|http://example.com::1
Spanish menu item|http://example.com|es
Menu item for logged in users|http://example.com||1
Menu item for guests|http://example.com||2</pre>';
$string['courseswitchlayout'] = 'Course Layout Switcher';
$string['coursegridfp'] = 'Course Grid on Front Page';
$string['coursegridcat'] = 'Course Grid on Category Page';
$string['frontpage'] = 'Front Page';
$string['slider'] = 'Slider';
$string['logofooter'] = 'Footer logo';
$string['footerlogow'] = 'Footer logo width (px)';


// Settings navigation
$string['navatype'] = 'Aniamtion Type';
$string['navatypefade'] = 'Fade';
$string['navatypeslide'] = 'Slide';
$string['navaspeed'] = 'Animation Speed (ms)';
$string['navddwidth'] = 'Dropdown Items Width (px)';
$string['mycinmenu'] = 'My Courses in Menu';
$string['stickynav'] = 'Sticky Navigation';
$string['navicon'] = 'Icon Navigation';
$string['urlnw'] = 'Open in a New Window';
$string['naviconfsize'] = 'Icon Size (px)';
$string['navcls'] = 'Menu Item Class';
$string['navclsdesc'] = 'You may set different css class for different menu items and then styled it. Use "itemLabel:cssClass", e.g. "Courses:myCustoClass". Classess for each menu item must be placed in a new line.';
$string['langinmenu'] = 'Languages in Menu';
$string['mainmenu'] = 'Main Menu';
$string['mcnamelimit'] = 'Course Name Words Limit';
$string['naviconsdesc'] = 'Each line consists separated by pipe characters (|):<br>text::icon name|optional url::"1" to open link in a new window|language code or comma-separated codes|"1" to show text for logged in users only or "2" to show text for none logged in users only.<br>For example:<pre>Link with icon::fa-life-ring|http://example.com
Link with icon open in a new window::fa-link|http://example.com::1
English text::fa-flag||en
Spanish link text::fa-star|http://example.com|es
English and Spanish text::fa-globe||en,es
Text for logged in users::fa-lock|||1
Text for guests::fa-unlock|||2</pre>';


// Settings social
$string['socillist'] = 'Social List';
$string['socialheader'] = 'Top Bar Icons';
$string['socialfooter'] = 'Footer Icons';
$string['sociallinknw'] = 'Open Links in a New Widnow';
$string['socialtt'] = 'Tooltip';


// Settings features
$string['loadingscreen'] = 'Loading screen';
$string['spinnerw'] = 'Spinner image size (px)';
$string['ganaid'] = 'Tracking ID';
$string['ganaiddesc'] = 'Google analytics tracking ID: "UA-XXXXX-Y"';
$string['ganatitle'] = 'Tracking code';
$string['ganaasync'] = 'Alternative async tracking';
$string['loginsearchform'] = 'Login and search form';
$string['loginlinks'] = 'Custom links next to login form';
$string['loginlinksdesc'] = 'Each line consists separated by pipe characters (|):<br>text::icon name|optional url::"1" to open link in a new window|language code or comma-separated codes|"1" to show text for logged in users only or "2" to show text for none logged in users only.<br>For example:<pre>How to find student login information?::fa-graduation-cap|http://example.com::1
How to find teacher login information?::fa-user|http://example.com::1
How to create new account?::fa-lock|http://example.com</pre>';
$string['loginsocial'] = 'Social login buttons';
$string['onlyloginsocial'] = 'Show only social login buttons without login form';
$string['sitemenu'] = 'Site menu';
$string['roleshortname'] = 'Teacher role shortname';
$string['teacheremail'] = 'Teacher email';
$string['teachermessage'] = 'Teacher message link';
$string['coursepanel'] = 'Course panel';
$string['sitemnuitems'] = 'Site menu items';
$string['sitemnuitemsdesc'] = 'Comma separated site menu items. You may add the following items:<ul><li>dashboard - link to my dashboard</li><li>frontpage - link to front page</li><li>calendar - link to callendar page</li><li>badges - link to my badges pages</li><li>courses - link to list of all courses</li><li>addcourse - link to new course form</li><li>addcategory - link to new category form</li><li>editcourse - link to course edit form</li><li>editcategory - link to category edit form</li></ul>';
$string['cpaneldesclimit'] = 'Course description words limit';
$string['searchlinks'] = 'Popular links below search form';
$string['loginlinktopage'] = 'Link to login page';
$string['bookmarks'] = 'Bookmarks';
$string['bookmarkslimit'] = 'Bookmarks Limit';
$string['scrolltotop'] = 'Scroll to top';
$string['usability'] = 'Usability';
$string['fontsizer'] = 'Font size switcher';


// Settings fonts
$string['ficonfa'] = 'Font Awesome';
$string['ficon7stroke'] = 'Stroke Icons 7';
$string['gfonts'] = 'Goodel Web Fonts';
$string['nfonts'] = 'Normal Fonts';
$string['nfont'] = 'Normal Font';
$string['gfont'] = 'Google Font';
$string['fontname'] = 'Font Name';
$string['fontstyle'] = 'Font Style';
$string['fontsubset'] = 'Font Subset';
$string['cfont'] = 'Custom font';
$string['cfontname'] = 'Font name';
$string['cfontfiles'] = 'Font files';
$string['cfontfilesdesc'] = 'Upload font files in the following formats: woff2, woff, ttf.';


// Settings style
$string['colors'] = 'Colors';
$string['accentcolor'] = 'Accent color';
$string['textcolor'] = 'Text color';
$string['textcolor_lighten'] = 'Text color lighten';
$string['textcolor_footer'] = 'Text color footer';
$string['linkcolor'] = 'Links color';
$string['linkhcolor'] = 'Links hover color';
$string['headingscolor'] = 'Headings color';
$string['btnprimarycolor'] = 'Primary button color';
$string['btncolor'] = 'Default button color';
$string['pagestyle'] = 'Page';
$string['bgcolor'] = 'Background color';
$string['bgimage'] = 'Background image';
$string['bgpos'] = 'Background position';
$string['bgsize'] = 'Background size';
$string['bgrepeat'] = 'Background repeat';
$string['bgattachment'] = 'Background attachment';
$string['pbgdesc'] = 'To see page background color or image you need ot use \'Boxed\' page layout.';
$string['strip1'] = 'Strip left light';
$string['strip2'] = 'Strip left dark';
$string['pbgpre'] = 'Predefined background';
$string['colorscheme'] = 'Color scheme';
$string['sectionpadding'] = 'Top,Bottom Padding';
$string['sectionpaddingdesc'] = 'Comma separated padding top and bottom in pixels, e.g. \'20,20\'.';
$string['imgdefault'] = 'Default image';
$string['headerstyleheading'] = 'Header';
$string['headerstyle'] = 'Header style';
$string['headereltop'] = 'Header elements margin top (rem)';
$string['scustomcssstyleheading'] = 'Custom Css Style';
$string['customcss'] = 'Custom Css Code';
$string['lessvars'] = 'Custom Less Variables';
$string['lessvarsdesc'] = 'This is advanced option for users who understand how less variables works. You may overwrite less variables which are defined in \'variables.less\' file located in \'less\' folder of the theme. To overwrite variable use: @variable_name:variable_value. You may overwrite more than one variable using \'|\' separator, for example:<br><pre>@color_success:#119d65|@color_warning:#fb8b24</pre>';


// Settings typography
$string['ffamily'] = 'Font';
$string['fsize'] = 'Font Size (rem)';
$string['fsizepx'] = 'Font Size (px)';
$string['fsizepxdesc'] = 'Require for font switcher.';
$string['fweight'] = 'Font Weight';
$string['gfont'] = 'Google Font';
$string['fsbase'] = 'Normal font size (px)';
$string['fsbase2'] = 'Medium font size (px)';
$string['fsbase3'] = 'Large font size (px)';
$string['hsize'] = 'Heading {$a->size} size (rem)';
$string['fstyle'] = 'Font Style';
$string['ttransform'] = 'Text Transform';
$string['uppercase'] = 'Uppercase';
$string['capitalize'] = 'Capitalize';
$string['lowercase'] = 'Lowercase';
$string['italic'] = 'Italic';
$string['oblique'] = 'Oblique';
$string['celtypo'] = 'Custom Elements';
$string['celsel'] = 'Css Selectors';
$string['celseldesc'] = 'Add css selector or comma separated multiple selectors for which you want to set custom font family or font weight. E.g. "h1, .some-title, .custom-class".';


// Settings pages
$string['pagelogin'] = 'Login Page';
$string['cloginpage'] = 'Custom Login Page';
$string['loginlogodesc'] = 'Leave it empty to use default logo on login page.';
$string['pagecls'] = 'Page Class';
$string['pageclsdesc'] = 'Custom css class for pages. Css class for each page ("pageID:className") must be placed in a new line.';
$string['coursecls'] = 'Course Page Class';
$string['courseclsdesc'] = 'Custom css class for course pages. Css class for each course ("courseID:className") must be placed in a new line.';


// Settings features
$string['loadingscr'] = 'Loading Screen';
$string['loadingscrdesc'] = 'Loading screen is NOT visible for admin user.';
$string['loadinglogodesc'] = 'Leave it empty to use default logo on loading page.';
$string['loadinghide'] = 'Hide Screen After (ms)';
$string['scrolltt'] = 'Scroll to Top';
$string['scrollspeed'] = 'Scroll Speed (ms)';


// Deprecated
$string['region-slider'] = 'Deprecated';
