<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2aofk
 * @copyright 2019 - 2020 Mariusz Boloz (https://mb2themes.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */

defined('MOODLE_INTERNAL') || die();

$footThemeContent =  theme_mb2aofk_theme_setting($PAGE, 'foottext');
$footeMenu = theme_mb2aofk_theme_setting($PAGE, 'footmenu');
$footLogin =  theme_mb2aofk_theme_setting($PAGE, 'footlogin', 0);
$footerTools = (is_siteadmin() || $footLogin == 1);
$footer_logo = theme_mb2aofk_theme_setting( $PAGE, 'logofooter', '', true);
$footer_logo_ur = $footer_logo ? $footer_logo : $OUTPUT->image_url('logo-footer-default','theme');
?>
<footer id="footer" class="dark1">
	<div class="footer-text-container">
		<div class="container-fluid">
	    	<div class="row">
	        	<div class="col-md-12">
					<p class="footer-text">
						<span>
						<?php if ($footThemeContent) : ?>
							<?php echo format_text($footThemeContent, FORMAT_HTML); ?>
						<?php else: ?>
							<?php echo '&copy; ' . $SITE->shortname . ' ' . date('Y'). '.'; ?>
						<?php endif; ?>
						</span>
					</p>
					<?php if (theme_mb2aofk_theme_setting($PAGE, 'scrolltt',0) == 1) :?>
						<?php echo theme_mb2aofk_scrolltt($PAGE); ?>
					<?php endif; ?>
	           	</div>
	        </div>
	    </div>
	</div>
	<?php if ($footeMenu) : ?>
	<div class="container-fluid">
	    <div class="row">
	        <div class="col-md-12">
	           	<div class="footer-menu">
					<?php echo theme_mb2aofk_static_content($footeMenu); ?>
				</div>
			</div>
		</div>
	</div>
	<?php endif; ?>
	<?php if ($footerTools) : ?>
    <div class="container-fluid">
    	<div class="row">
        	<div class="col-md-12">
           		<div class="footer-tools">
               		<?php if ($footLogin) : ?>
                 		<?php echo $OUTPUT->login_info(); ?>
              		<?php endif; ?>
                   	<?php if ($OUTPUT->course_footer()) : ?>
                      	<p id="course-footer"><?php echo $OUTPUT->course_footer(); ?></p>
                   	<?php endif; ?>
                  	<?php if ($OUTPUT->page_doc_link()) : ?>
                       	<p class="helplink"><?php echo $OUTPUT->page_doc_link(); ?></p>
					<?php endif; ?>
                	<?php echo $OUTPUT->standard_footer_html(); ?>
        		</div>
			</div>
		</div>
    </div>
	<?php endif; ?>
</footer>
<div class="footer-logo-wrap">
	<div class="footer-logo" style="width:<?php echo theme_mb2aofk_theme_setting( $PAGE, 'footerlogow', 90 ); ?>px;">
		<a href="<?php echo $CFG->wwwroot; ?>" title="<?php echo theme_mb2aofk_theme_setting($PAGE, 'logotitle','Apple of Knowledge Theme'); ?>">
			<img src="<?php echo $footer_logo_ur; ?>" alt="<?php echo theme_mb2aofk_theme_setting($PAGE, 'logoalttext','Apple of Knowledge Theme'); ?>">
		</a>
	</div>
</div>
</div><!-- //end #page-b -->
</div><!-- //end #page -->
</div><!-- //end #page-outer -->
<?php echo theme_mb2aofk_iconnav($PAGE); ?>
<?php echo $OUTPUT->theme_part('course_panel'); ?>
<?php if ( theme_mb2aofk_panel_link( 'fixedbar' ) || theme_mb2aofk_show_hide_sidebars( $PAGE, $vars ) ) : ?>
<div class="fixed-bar">
	<?php echo theme_mb2aofk_panel_link( 'fixedbar' ); ?>
	<?php echo theme_mb2aofk_show_hide_sidebars( $PAGE, $vars ); ?>
</div>
<?php endif; ?>
<?php echo $OUTPUT->theme_part('course_panel'); ?>
<?php echo theme_mb2aofk_login_form_modal(); ?>
<?php echo theme_mb2aofk_search_form_modal(); ?>
<?php echo theme_mb2aofk_user_bookmarks_modal(); ?>
<?php if (is_siteadmin()) : ?>
	<?php echo theme_mb2aofk_theme_links_modal(); ?>
<?php endif; ?>
<?php echo $OUTPUT->standard_end_of_body_html(); ?>
</body>
</html>
