<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2aofk
 * @copyright 2019 - 2020 Mariusz Boloz (https://mb2themes.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */

defined('MOODLE_INTERNAL') || die();
global $THEME, $DB;
$customLoginPage = theme_mb2aofk_is_login($PAGE, true);
$socilaTt = theme_mb2aofk_theme_setting($PAGE, 'socialtt', 0) == 1 ? 'top' : '';
$isPageBg = theme_mb2aofk_pagebg_image($PAGE);
$menuPos = 1;
$headereltop = theme_mb2aofk_theme_setting($PAGE, 'headereltop', 0.6);

?>
<body <?php echo $OUTPUT->body_attributes(theme_mb2aofk_body_cls($PAGE)) . $isPageBg; ?>>
<?php echo $OUTPUT->standard_top_of_body_html(); ?>
<?php if (theme_mb2aofk_theme_setting($PAGE, 'loadingscr',0) == 1) : ?>
	<?php echo theme_mb2aofk_loading_screen($PAGE); ?>
<?php endif; ?>
<div id="page-outer">
<div id="page">
<?php if ($customLoginPage) : ?>
	<?php echo $OUTPUT->theme_part('logo'); ?>
<?php else : ?>
	<div id="page-a">
		<?php if (theme_mb2aofk_theme_setting($PAGE,'topinfo') || theme_mb2aofk_theme_setting($PAGE,'socialheader') || theme_mb2aofk_theme_setting($PAGE,'fontsizer')) : ?>
			<div id="top-panel" class="dark1">
		    	<div class="container-fluid">
		        	<div class="row">
		            	<div class="col-md-12">
		                    <?php if (theme_mb2aofk_theme_setting($PAGE,'topinfo')) : ?>
		                        <div class="top-info-content">
		                            <?php echo theme_mb2aofk_static_content(theme_mb2aofk_theme_setting($PAGE,'topinfo')); ?>
		                        </div>
							<?php endif; ?>
		                    <?php if (theme_mb2aofk_theme_setting($PAGE,'socialheader')) : ?>
		                        <?php echo theme_mb2aofk_social_icons($PAGE,array('ttpos'=>'bottom')); ?>
		                    <?php endif; ?>
							<?php echo theme_mb2aofk_userfriendly_el(); ?>
		        		</div>
		 			</div>
				</div>
		    </div>
		<?php endif; ?>
	    <div id="main-header">
	        <div class="container-fluid">
	            <div class="row">
	                <div class="col-md-12">
						<?php if (!$customLoginPage) : ?>
							<?php echo $OUTPUT->theme_part('logo'); ?>
							<div class="menu-bar">
								<a class="show-menu" href="#"><i class="fa fa-bars"></i></a>
							</div>
							<div class="menu-clear clearfix"></div>
	                    	<div class="mobile-nav">
								<?php echo $OUTPUT->custom_menu(); ?>
							</div>
							<div class="header-tools" style="margin-top:<?php echo $headereltop; ?>rem;">
								<?php //echo theme_mb2aofk_user_bookmarks(); ?>
								<?php echo theme_mb2aofk_panel_links(); ?>
							</div>
	                    <?php endif; ?>
	                </div>
	            </div>
	        </div>
	    </div>
		<?php echo theme_mb2aofk_notice('top'); ?>
		<?php if (theme_mb2aofk_theme_setting($PAGE,'stickynav',0)) : ?>
	    	<div class="sticky-nav-element-offset"></div>
	    <?php endif; ?>
		<div id="main-navigation">
			<div class="main-navigation-inner clearfix">
		        <div class="container-fluid">
		            <div class="row">
		                <div class="col-md-12">
		                	<?php echo $OUTPUT->custom_menu(); ?>
		                </div>
		            </div>
		        </div>
			</div>
	    </div>
	    <?php //echo !$customLoginPage ? $OUTPUT->theme_part('sliding_panel') : ''; ?>
	</div><!-- //end #page-a -->
<?php endif; ?>
<div id="page-b">
