<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2aofk
 * @copyright 2019 - 2020 Mariusz Boloz (https://mb2themes.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */

defined('MOODLE_INTERNAL') || die();

$isLoginPage = theme_mb2aofk_is_login($PAGE);

?>
<div class="sliding-panel dark1 closed">
	<a href="#" class="close-panel">&times;</a>
	<div class="container-fluid">
		<div class="row">
			<div class="col-md-12 clearfix">
				<?php echo theme_mb2aofk_search_form(); ?>
                <?php echo !$isLoginPage ? theme_mb2aofk_login_form() : ''; ?>
                <?php echo theme_mb2aofk_theme_links(); ?>
                <?php echo theme_mb2aofk_panel_links(); ?>
			</div>
		</div>
	</div>
</div>
