<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2aofk
 * @copyright 2019 - 2020 Mariusz Boloz (https://mb2themes.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */


defined('MOODLE_INTERNAL') || die();


$temp = new admin_settingpage('theme_mb2aofk_settingsfeatures',  get_string('settingsfeatures', 'theme_mb2aofk'));
$yesNoOptions = array('1'=>get_string('yes','theme_mb2aofk'), '0'=>get_string('no','theme_mb2aofk'));

$bgPositionOpt = array(
	'center center'=>'center center',
	'left top'=>'left top',
	'left center'=>'left center',
	'left bottom'=>'left bottom',
	'right top'=>'right top',
	'right center'=>'right center',
	'right bottom'=>'right bottom',
	'center top'=>'center top',
	'center bottom'=>'center bottom'
);


$bgRepearOpt = array(
	'no-repeat'=>'no-repeat',
	'repeat'=>'repeat',
	'repeat-x'=>'repeat-x',
	'repeat-y'=>'repeat-y'
);


$bgSizeOpt = array(
	'cover'=>'cover',
	'auto'=>'auto',
	'contain'=>'contain'
);


$bgAttOpt = array(
	'scroll'=>'scroll',
	'fixed'=>'fixed',
	'local'=>'local'
);


$bgPredefinedOpt = array(
	''=>get_string('none','theme_mb2aofk'),
	'default' => get_string('imgdefault','theme_mb2aofk'),
	'strip1'=>get_string('strip1','theme_mb2aofk'),
	'strip2'=>get_string('strip2','theme_mb2aofk'),
);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startbookmarks', get_string('bookmarks','theme_mb2aofk'));
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);

	$name = 'theme_mb2aofk/bookmarks';
	$title = get_string('bookmarks','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name,$title,'',1);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);

	$name = 'theme_mb2aofk/bookmarkslimit';
	$title = get_string('bookmarkslimit','theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title, '', 15);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);

$setting = new admin_setting_configmb2end('theme_mb2aofk/endbookmarks');
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startcoursepanel', get_string('coursepanel','theme_mb2aofk'));
$temp->add($setting);


	$name = 'theme_mb2aofk/coursepanel';
	$title = get_string('coursepanel','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name,$title,'',1);
	$temp->add($setting);


	$name = 'theme_mb2aofk/roleshortname';
	$title = get_string('roleshortname','theme_mb2aofk');
	$setting = new admin_setting_configtext($name,$title,'','editingteacher');
	$temp->add($setting);


	$name = 'theme_mb2aofk/teacheremail';
	$title = get_string('teacheremail','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name,$title,'',1);
	$temp->add($setting);


	$name = 'theme_mb2aofk/teachermessage';
	$title = get_string('teachermessage','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name,$title,'',0);
	$temp->add($setting);


	$name = 'theme_mb2aofk/cpaneldesclimit';
	$title = get_string('cpaneldesclimit','theme_mb2aofk');
	$setting = new admin_setting_configtext($name,$title,'',24);
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endcoursepanel');
$temp->add($setting);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startloading', get_string('loadingscreen','theme_mb2aofk'));
$temp->add($setting);


	$name = 'theme_mb2aofk/loadingscr';
	$title = get_string('loadingscreen','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, get_string('loadingscrdesc', 'theme_mb2aofk'), 0);
	$temp->add($setting);


	$name = 'theme_mb2aofk/loadinghide';
	$title = get_string('loadinghide','theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title, '', 600);
	$temp->add($setting);


	$name = 'theme_mb2aofk/spinnerw';
	$title = get_string('spinnerw','theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title, '', 50);
	$temp->add($setting);


	$name = 'theme_mb2aofk/lbgcolor';
	$title = get_string('bgcolor','theme_mb2aofk');
	$setting = new admin_setting_configmb2color($name, $title, '', '');
	$temp->add($setting);


	$name = 'theme_mb2aofk/loadinglogo';
	$title = get_string('logoimg','theme_mb2aofk');
	$setting = new admin_setting_configstoredfile($name, $title, get_string('loadinglogodesc','theme_mb2aofk'), 'loadinglogo');
	$temp->add($setting);


	$name = 'theme_mb2aofk/loadinglogow';
	$title = get_string('logow','theme_mb2aofk');
	$desc = get_string('logowdesc', 'theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title, $desc, '');
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endloading');
$temp->add($setting);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startloginform', get_string('loginsearchform','theme_mb2aofk'));
$temp->add($setting);

	$name = 'theme_mb2aofk/loginlinktopage';
	$title = get_string('loginlinktopage','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name,$title,'',0);
	$temp->add($setting);

	$name = 'theme_mb2aofk/loginlinks';
	$title = get_string('loginlinks','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title, get_string('loginlinksdesc','theme_mb2aofk'), '');
	$temp->add($setting);


	$name = 'theme_mb2aofk/loginsocial';
	$title = get_string('loginsocial','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name,$title,'',0);
	$temp->add($setting);


	$name = 'theme_mb2aofk/onlyloginsocial';
	$title = get_string('onlyloginsocial','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name,$title,'',0);
	$temp->add($setting);


	$name = 'theme_mb2aofk/loginsearchspacer';
	$setting = new admin_setting_configmb2spacer($name);
	$temp->add($setting);


	$name = 'theme_mb2aofk/searchlinks';
	$title = get_string('searchlinks','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name,$title,get_string('staticmenudesc','theme_mb2aofk'),'');
	$temp->add($setting);



$setting = new admin_setting_configmb2end('theme_mb2aofk/endloginform');
$temp->add($setting);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startlogin', get_string('pagelogin','theme_mb2aofk'));
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);




		$name = 'theme_mb2aofk/cloginpage';
		$title = get_string('cloginpage','theme_mb2aofk');
		$setting = new admin_setting_configcheckbox($name, $title, '', 0);
		$temp->add($setting);


		$name = 'theme_mb2aofk/loginlogo';
		$title = get_string('logoimg','theme_mb2aofk');
		$desc = get_string('loginlogodesc','theme_mb2aofk');
		$setting = new admin_setting_configstoredfile($name, $title, $desc, 'loginlogo');
		$temp->add($setting);


		$name = 'theme_mb2aofk/loginlogow';
		$title = get_string('logow','theme_mb2aofk');
		$desc = get_string('logowdesc', 'theme_mb2aofk');
		$setting = new admin_setting_configtext($name, $title, $desc, '');
		$temp->add($setting);


		$name = 'theme_mb2aofk/loginpgespacer';
		$setting = new admin_setting_configmb2spacer($name);
		$temp->add($setting);


		$name = 'theme_mb2aofk/loginbgcolor';
		$title = get_string('bgcolor','theme_mb2aofk');
		$setting = new admin_setting_configmb2color($name, $title, get_string('pbgdesc','theme_mb2aofk'), '');
		$temp->add($setting);


		$name = 'theme_mb2aofk/loginbgpre';
		$title = get_string('pbgpre','theme_mb2aofk');
		$setting = new admin_setting_configselect($name, $title, '', 'default', $bgPredefinedOpt);
		$temp->add($setting);


		$name = 'theme_mb2aofk/loginbgimage';
		$title = get_string('bgimage','theme_mb2aofk');
		$setting = new admin_setting_configstoredfile($name, $title, get_string('pbgdesc','theme_mb2aofk'), 'loginbgimage');
		$temp->add($setting);


		$name = 'theme_mb2aofk/loginbgrepeat';
		$title = get_string('bgrepeat','theme_mb2aofk');
		$setting = new admin_setting_configselect($name, $title, '', 'no-repeat', $bgRepearOpt);
		$temp->add($setting);


		$name = 'theme_mb2aofk/loginbgpos';
		$title = get_string('bgpos','theme_mb2aofk');
		$setting = new admin_setting_configselect($name, $title, '', 'center bottom', $bgPositionOpt);
		$temp->add($setting);


		$name = 'theme_mb2aofk/loginbgattach';
		$title = get_string('bgattachment','theme_mb2aofk');
		$setting = new admin_setting_configselect($name, $title, '', 'fixed', $bgAttOpt);
		$temp->add($setting);


		$name = 'theme_mb2aofk/loginbgsize';
		$title = get_string('bgsize','theme_mb2aofk');
		$setting = new admin_setting_configselect($name, $title, '', 'cover', $bgSizeOpt);
		$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endlogin');
$temp->add($setting);



$setting = new admin_setting_configmb2start('theme_mb2aofk/startpages', get_string('pagecls','theme_mb2aofk'));
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);


	$name = 'theme_mb2aofk/pagecls';
	$title = get_string('pagecls','theme_mb2aofk');
	$desc = get_string('pageclsdesc','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title, $desc, '');
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/coursecls';
	$title = get_string('coursecls','theme_mb2aofk');
	$desc = get_string('courseclsdesc','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title, $desc, '');
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endpages');
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startscrolltt', get_string('scrolltt','theme_mb2aofk'));
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);


	$name = 'theme_mb2aofk/scrolltt';
	$title = get_string('scrolltt','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title,'', 1);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/scrollspeed';
	$title = get_string('scrollspeed','theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title, '', 400);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endscrolltt');
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startsitemenu', get_string('sitemenu','theme_mb2aofk'));
$temp->add($setting);


	$name = 'theme_mb2aofk/sitemnu';
	$title = get_string('sitemenu','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name,$title,'',1);
	$temp->add($setting);


	$name = 'theme_mb2aofk/sitemnuitems';
	$title = get_string('sitemnuitems','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title,get_string('sitemnuitemsdesc','theme_mb2aofk'),'dashboard,frontpage,calendar,badges,courses');
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endsitemenu');
$temp->add($setting);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startganalitycs', get_string('ganatitle','theme_mb2aofk'));
$temp->add($setting);


	$name = 'theme_mb2aofk/ganaid';
	$title = get_string('ganaid','theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title,$title = get_string('ganaiddesc','theme_mb2aofk'), '');
	$temp->add($setting);


	$name = 'theme_mb2aofk/ganaasync';
	$title = get_string('ganaasync','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title,'', 0);
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endganalitycs');
$temp->add($setting);



$setting = new admin_setting_configmb2start('theme_mb2aofk/startusability', get_string('usability','theme_mb2aofk'));
$temp->add($setting);

	$name = 'theme_mb2aofk/fontsizer';
	$title = get_string('fontsizer','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title,'', 0);
	$temp->add($setting);

$setting = new admin_setting_configmb2end('theme_mb2aofk/endusability');
$temp->add($setting);


$ADMIN->add('theme_mb2aofk', $temp);
