<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2aofk
 * @copyright 2019 - 2020 Mariusz Boloz (https://mb2themes.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */


defined('MOODLE_INTERNAL') || die();


$temp = new admin_settingpage('theme_mb2aofk_settingsgeneral',  get_string('settingsgeneral', 'theme_mb2aofk'));

$headerStyleOpt = array(
	'light' => get_string('light','theme_mb2aofk'),
	'color' => get_string('color','theme_mb2aofk')
);

$setting = new admin_setting_configmb2start('theme_mb2aofk/startlogo', get_string('logo','theme_mb2aofk'));
$temp->add($setting);


	$name = 'theme_mb2aofk/logo';
	$title = get_string('logoimg','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configstoredfile($name, $title, $desc, 'logo');
	$temp->add($setting);

	$name = 'theme_mb2aofk/logow';
	$title = get_string('logow','theme_mb2aofk');
	$desc = get_string('logowdesc', 'theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title, $desc, 250);
	$temp->add($setting);

	$name = 'theme_mb2aofk/logotitle';
	$title = get_string('logotitle','theme_mb2aofk');
	$desc = get_string('logotitledesc', 'theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title, $desc, 'Apple of Knowledge Theme');
	$temp->add($setting);

	$name = 'theme_mb2aofk/logoalttext';
	$title = get_string('logoalttext','theme_mb2aofk');
	$desc = get_string('logoalttextdesc', 'theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title, $desc, 'Apple of Knowledge Theme');
	$temp->add($setting);

	$name = 'theme_mb2aofk/logospacer';
	$setting = new admin_setting_configmb2spacer($name);
	$temp->add($setting);

	$name = 'theme_mb2aofk/favicon';
	$title = get_string('favicon','theme_mb2aofk');
	$desc = get_string('favicondesc', 'theme_mb2aofk');
	$setting = new admin_setting_configstoredfile($name, $title, $desc, 'favicon', 0, array('accepted_types'=>array('.ico')));
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endlogo');
$temp->add($setting);



$setting = new admin_setting_configmb2start('theme_mb2aofk/startlayout', get_string('layout','theme_mb2aofk'));
$temp->add($setting);


	$name = 'theme_mb2aofk/pagewidth';
	$title = get_string('pagewidth','theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title, '', 1340);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$layoutArr = array(
		'fw' => get_string('layoutfw','theme_mb2aofk'),
		'fx' => get_string('layoutfx','theme_mb2aofk'),
		//'fxw' => get_string('layoutfxc','theme_mb2aofk')
	);
	$name = 'theme_mb2aofk/layout';
	$title = get_string('layout','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'fw', $layoutArr);
	$temp->add($setting);


	$sidebarPosArr = array(
		'classic' => get_string('classic','theme_mb2aofk'),
		'left' => get_string('left','theme_mb2aofk'),
		'right' => get_string('right','theme_mb2aofk')
	);

	$name = 'theme_mb2aofk/sidebarpos';
	$title = get_string('sidebarpos','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'right', $sidebarPosArr);
	$temp->add($setting);

	$sidebarBtArr = array(
		'0' => get_string('none','theme_mb2aofk'),
		'1' => get_string('sidebaryesshow','theme_mb2aofk'),
		'2' => get_string('sidebaryeshide','theme_mb2aofk')
	);

	$name = 'theme_mb2aofk/sidebarbtn';
	$title = get_string('sidebarbtn','theme_mb2aofk');
	$setting = new admin_setting_configselect($name, $title, '', '1', $sidebarBtArr);
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endlayout');
$temp->add($setting);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startheaderstyle', get_string('headerstyleheading','theme_mb2aofk'));
$temp->add($setting);


	$name = 'theme_mb2aofk/headerstyle';
	$title = get_string('headerstyle','theme_mb2aofk');
	$setting = new admin_setting_configselect($name, $title, '', 'light', $headerStyleOpt);
	$temp->add($setting);

	$name = 'theme_mb2aofk/headereltop';
	$title = get_string('headereltop','theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title, '', 0.6);
	$temp->add($setting);

	$name = 'theme_mb2aofk/banner';
	$title = get_string('banner','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, '', 0);
	$temp->add($setting);

	$name = 'theme_mb2aofk/bannerimg';
	$title = get_string('bannerimg','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configstoredfile($name, $title, $desc, 'bannerimg');
	$temp->add($setting);

	$name = 'theme_mb2aofk/navbarplugin';
	$title = get_string('navbarplugin','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title,'',1);
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endheaderstyle');
$temp->add($setting);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startfrontpage', get_string('frontpage','theme_mb2aofk'));
$temp->add($setting);

	$name = 'theme_mb2aofk/slider';
	$title = get_string('slider','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, '', 1);
	$temp->add($setting);

$setting = new admin_setting_configmb2end('theme_mb2aofk/endfrontpage');
$temp->add($setting);


$setting = new admin_setting_configmb2start('theme_mb2aofk/startcourse', get_string('coursesettings','theme_mb2aofk'));
$temp->add($setting);

	$name = 'theme_mb2aofk/coursegridfp';
	$title = get_string('coursegridfp','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, '', 0);
	$temp->add($setting);


	$name = 'theme_mb2aofk/coursegridcat';
	$title = get_string('coursegridcat','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, '', 0);
	$temp->add($setting);


	$name = 'theme_mb2aofk/courseswitchlayout';
	$title = get_string('courseswitchlayout','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, '', 1);
	$temp->add($setting);

	$name = 'theme_mb2aofk/coursespacer3';
	$setting = new admin_setting_configmb2spacer($name);
	$temp->add($setting);

	$name = 'theme_mb2aofk/cbannerimg';
	$title = get_string('cbannerstyle','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, '', 0);
	$temp->add($setting);

	$name = 'theme_mb2aofk/cbannername';
	$title = get_string('cbannername','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, '', 1);
	$temp->add($setting);

	$name = 'theme_mb2aofk/courseplimg';
	$title = get_string('courseplimg','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, '', 1);
	$temp->add($setting);

	$name = 'theme_mb2aofk/coursespacer1';
	$setting = new admin_setting_configmb2spacer($name);
	$temp->add($setting);

	$name = 'theme_mb2aofk/coursebtn';
	$title = get_string('coursebtn','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, '', 1);
	$temp->add($setting);


	$name = 'theme_mb2aofk/coursestudentscount';
	$title = get_string('coursestudentscount','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name,$title,'',1);
	$temp->add($setting);


	$name = 'theme_mb2aofk/studentsroleid';
	$title = get_string('studentsroleid','theme_mb2aofk');
	$setting = new admin_setting_configtext($name,$title,'',5);
	$temp->add($setting);

	$name = 'theme_mb2aofk/coursespacer2';
	$setting = new admin_setting_configmb2spacer($name);
	$temp->add($setting);


	$name = 'theme_mb2aofk/coursescls';
	$title = get_string('coursescls','theme_mb2aofk');
	$desc = get_string('coursesclsdesc','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title, $desc, '');
	$temp->add($setting);

$setting = new admin_setting_configmb2end('theme_mb2aofk/endcourse');
$temp->add($setting);



$setting = new admin_setting_configmb2start('theme_mb2aofk/startregions', get_string('regions','theme_mb2aofk'));
$temp->add($setting);

	$name = 'theme_mb2aofk/blockstyle';
	$title = get_string('blockstyle','theme_mb2aofk');
	$desc = get_string('blockstyledesc','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title, $desc, '');
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endregions');
$temp->add($setting);



$setting = new admin_setting_configmb2start('theme_mb2aofk/startstatic', get_string('staticcontent','theme_mb2aofk'));
$temp->add($setting);

	$name = 'theme_mb2aofk/topinfo';
	$title = get_string('topinfo','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title, get_string('staticinfodesc','theme_mb2aofk'),'');
	$temp->add($setting);

	$name = 'theme_mb2aofk/staticcontentspacer';
	$setting = new admin_setting_configmb2spacer($name);
	$temp->add($setting);

	$name = 'theme_mb2aofk/btninfo';
	$title = get_string('btinfo','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title, get_string('staticinfodesc','theme_mb2aofk'),'');
	$temp->add($setting);

$setting = new admin_setting_configmb2end('theme_mb2aofk/endstatic');
$temp->add($setting);



$setting = new admin_setting_configmb2start('theme_mb2aofk/startfooter', get_string('footer','theme_mb2aofk'));
$temp->add($setting);

	$name = 'theme_mb2aofk/foottext';
	$title = get_string('foottext','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title,'', '');
	$temp->add($setting);

	$name = 'theme_mb2aofk/footmenu';
	$title = get_string('footmenu','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title, get_string('staticmenudesc','theme_mb2aofk'),'');
	$temp->add($setting);

	$name = 'theme_mb2aofk/footlogin';
	$title = get_string('footlogin','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configcheckbox($name, $title, $desc, 0);
	$temp->add($setting);

	$name = 'theme_mb2aofk/footerspacer1';
	$setting = new admin_setting_configmb2spacer($name);
	$temp->add($setting);

	$name = 'theme_mb2aofk/logofooter';
	$title = get_string('logofooter','theme_mb2aofk');
	$setting = new admin_setting_configstoredfile($name, $title, '', 'logofooter');
	$temp->add($setting);

	$name = 'theme_mb2aofk/footerlogow';
	$title = get_string('footerlogow','theme_mb2aofk');
	$setting = new admin_setting_configtext( $name, $title, '', 48);
	$temp->add($setting);

$setting = new admin_setting_configmb2end('theme_mb2aofk/endfooter');
$temp->add($setting);



$ADMIN->add('theme_mb2aofk', $temp);
