<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2aofk
 * @copyright 2019 - 2020 Mariusz Boloz (https://mb2themes.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */


defined('MOODLE_INTERNAL') || die();


$temp = new admin_settingpage('theme_mb2aofk_settingsnav',  get_string('settingsnav', 'theme_mb2aofk'));


$setting = new admin_setting_configmb2start('theme_mb2aofk/startnavgeneral', get_string('mainmenu','theme_mb2aofk'));
$temp->add($setting);


	$name = 'theme_mb2aofk/stickynav';
	$title = get_string('stickynav','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title, '',0);
	$temp->add($setting);


	// Navigation animation type
	$name = 'theme_mb2aofk/navatype';
	$title = get_string('navatype','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, '2', array('2'=>get_string('navatypeslide', 'theme_mb2aofk'),'1'=>get_string('navatypefade', 'theme_mb2aofk')));
	$temp->add($setting);


	// Navigation animation speed
	$name = 'theme_mb2aofk/navaspeed';
	$title = get_string('navaspeed','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configtext($name, $title, $desc,300);
	$temp->add($setting);


	// Navigation dropdown width
	$name = 'theme_mb2aofk/navddwidth';
	$title = get_string('navddwidth','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configtext($name, $title, $desc,200);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/langinmenu';
	$title = get_string('langinmenu','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name,$title,'',1);
	$temp->add($setting);


	$name = 'theme_mb2aofk/mycinmenu';
	$title = get_string('mycinmenu','theme_mb2aofk');
	$setting = new admin_setting_configcheckbox($name, $title,'',1);
	$temp->add($setting);


	$name = 'theme_mb2aofk/mcnamelimit';
	$title = get_string('mcnamelimit','theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title,'',6);
	$temp->add($setting);


	$name = 'theme_mb2aofk/navcls';
	$title = get_string('navcls','theme_mb2aofk');
	$desc = get_string('navclsdesc','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title, $desc, '');
	$temp->add($setting);



$setting = new admin_setting_configmb2end('theme_mb2aofk/endnavgeneral');
$temp->add($setting);



$setting = new admin_setting_configmb2start('theme_mb2aofk/startnavicon', get_string('navicon','theme_mb2aofk'));
$temp->add($setting);


	$name = 'theme_mb2aofk/navicons';
	$title = get_string('links','theme_mb2aofk');
	$setting = new admin_setting_configtextarea($name, $title, get_string('naviconsdesc','theme_mb2aofk'), '');
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endnavicon');
$temp->add($setting);


$ADMIN->add('theme_mb2aofk', $temp);
