<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2aofk
 * @copyright 2019 - 2020 Mariusz Boloz (https://mb2themes.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */


defined('MOODLE_INTERNAL') || die();


$temp = new admin_settingpage('theme_mb2aofk_settingstypography',  get_string('settingstypography', 'theme_mb2aofk'));


$fontsGlobalOpt = array(
	'nfont1'=>get_string('nfont','theme_mb2aofk') . ' #1',
	'nfont2'=>get_string('nfont','theme_mb2aofk') . ' #2',
	'nfont3'=>get_string('nfont','theme_mb2aofk') . ' #3',
	''=>'------------',
	'gfont1'=>get_string('gfont','theme_mb2aofk') . ' #1',
	'gfont2'=>get_string('gfont','theme_mb2aofk') . ' #2',
	'gfont3'=>get_string('gfont','theme_mb2aofk') . ' #3',
	' '=>'------------',
	'cfont1'=>get_string('cfont','theme_mb2aofk') . ' #1',
	'cfont2'=>get_string('cfont','theme_mb2aofk') . ' #2',
	'cfont3'=>get_string('cfont','theme_mb2aofk') . ' #3'
);


$fontsOpt = array(
	'0'=>get_string('global','theme_mb2aofk'),
	'nfont1'=>get_string('nfont','theme_mb2aofk') . ' #1',
	'nfont2'=>get_string('nfont','theme_mb2aofk') . ' #2',
	'nfont3'=>get_string('nfont','theme_mb2aofk') . ' #3',
	''=>'------------',
	'gfont1'=>get_string('gfont','theme_mb2aofk') . ' #1',
	'gfont2'=>get_string('gfont','theme_mb2aofk') . ' #2',
	'gfont3'=>get_string('gfont','theme_mb2aofk') . ' #3',
	' '=>'------------',
	'cfont1'=>get_string('cfont','theme_mb2aofk') . ' #1',
	'cfont2'=>get_string('cfont','theme_mb2aofk') . ' #2',
	'cfont3'=>get_string('cfont','theme_mb2aofk') . ' #3'
);


$fontsWeightOpt = array(
	'normal'=>get_string('normal','theme_mb2aofk'),
	'bold'=>get_string('bold','theme_mb2aofk'),
	'bolder'=>get_string('bolder','theme_mb2aofk'),
	'lighter'=>get_string('lighter','theme_mb2aofk'),
	'100'=>'100',
	'200'=>'200',
	'300'=>'300',
	'400'=>'400',
	'500'=>'500',
	'600'=>'600',
	'700'=>'700',
	'800'=>'800',
	'900'=>'900',
	'inherit'=>get_string('inherit','theme_mb2aofk')
);


$ftextTransfromOpt = array(
	'none'=>get_string('none','theme_mb2aofk'),
	'uppercase'=>get_string('uppercase','theme_mb2aofk'),
	'capitalize'=>get_string('capitalize','theme_mb2aofk'),
	'lowercase'=>get_string('lowercase','theme_mb2aofk')
);


$fontStyleOpt = array(
	'normal'=>get_string('normal','theme_mb2aofk'),
	'italic'=>get_string('italic','theme_mb2aofk'),
	'oblique'=>get_string('oblique','theme_mb2aofk')
);



$setting = new admin_setting_configmb2start('theme_mb2aofk/startfgeneral', get_string('global','theme_mb2aofk'));
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);


	$name = 'theme_mb2aofk/ffgeneral';
	$title = get_string('ffamily','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'gfont1', $fontsGlobalOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/typoblobalspacer0';
	$setting = new admin_setting_configmb2spacer($name);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);

	$name = 'theme_mb2aofk/fsbase';
	$title = get_string('fsbase','theme_mb2aofk');
	$setting = new admin_setting_configtext($name,$title,'',17);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fsbase2';
	$title = get_string('fsbase2','theme_mb2aofk');
	$setting = new admin_setting_configtext($name,$title,get_string('fsizepxdesc', 'theme_mb2aofk'),19);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fsbase3';
	$title = get_string('fsbase3','theme_mb2aofk');
	$setting = new admin_setting_configtext($name,$title,get_string('fsizepxdesc', 'theme_mb2aofk'),21);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/typoblobalspacer1';
	$setting = new admin_setting_configmb2spacer($name);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fwgeneral';
	$title = get_string('fweight','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 400, $fontsWeightOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endfgeneral');
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);



$setting = new admin_setting_configmb2start('theme_mb2aofk/startfheadings', get_string('headings','theme_mb2aofk'));
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);


	$name = 'theme_mb2aofk/ffheadings';
	$title = get_string('ffamily','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, '0', $fontsOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fheadingsspacer1';
	$setting = new admin_setting_configmb2spacer($name);
	$temp->add($setting);

	for ($i = 1; $i <= 6; $i++ )
	{
		$name = 'theme_mb2aofk/fsheading' . $i;
		$title = get_string('hsize','theme_mb2aofk', array( 'size'=>$i ) );
		$setting = new admin_setting_configtext($name,$title,'','');
		$setting->set_updatedcallback('theme_reset_all_caches');
		$temp->add($setting);
	}

	$name = 'theme_mb2aofk/fheadingsspacer2';
	$setting = new admin_setting_configmb2spacer($name);
	$temp->add($setting);


	$name = 'theme_mb2aofk/fwheadings';
	$title = get_string('fweight','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'bold', $fontsWeightOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/ttheadings';
	$title = get_string('ttransform','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'none', $ftextTransfromOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fstheadings';
	$title = get_string('fstyle','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'normal', $fontStyleOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endfheadings');
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);






$setting = new admin_setting_configmb2start('theme_mb2aofk/startfmenu', get_string('menu','theme_mb2aofk'));
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);


	$name = 'theme_mb2aofk/ffmenu';
	$title = get_string('ffamily','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, '0', $fontsOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fsmenu';
	$title = get_string('fsize','theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title,'',1);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fwmenu';
	$title = get_string('fweight','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'bold', $fontsWeightOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/ttmenu';
	$title = get_string('ttransform','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'none', $ftextTransfromOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fstmenu';
	$title = get_string('fstyle','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'normal', $fontStyleOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endfmenu');
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);



$setting = new admin_setting_configmb2start('theme_mb2aofk/startfddmenu', get_string('ddmenu','theme_mb2aofk'));
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);


	$name = 'theme_mb2aofk/ffddmenu';
	$title = get_string('ffamily','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc,'0', $fontsOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fsddmenu';
	$title = get_string('fsize','theme_mb2aofk');
	$setting = new admin_setting_configtext($name, $title,'',1);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fwddmenu';
	$title = get_string('fweight','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'inherit', $fontsWeightOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/ttddmenu';
	$title = get_string('ttransform','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'none', $ftextTransfromOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


	$name = 'theme_mb2aofk/fstddmenu';
	$title = get_string('fstyle','theme_mb2aofk');
	$desc = '';
	$setting = new admin_setting_configselect($name, $title, $desc, 'normal', $fontStyleOpt);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


$setting = new admin_setting_configmb2end('theme_mb2aofk/endfddmenu');
$setting->set_updatedcallback('theme_reset_all_caches');
$temp->add($setting);




for ($i = 1; $i<=3; $i++)
{
	$setting = new admin_setting_configmb2start('theme_mb2aofk/startceltypo' . $i, get_string('celtypo','theme_mb2aofk') . ' #' . $i);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);


		$name = 'theme_mb2aofk/celsel' . $i;
		$title = get_string('celsel','theme_mb2aofk');
		$setting = new admin_setting_configtextarea($name, $title, get_string('celseldesc','theme_mb2aofk'),'');
		$setting->set_updatedcallback('theme_reset_all_caches');
		$temp->add($setting);


		$name = 'theme_mb2aofk/ffcel' . $i;
		$title = get_string('ffamily','theme_mb2aofk');
		$setting = new admin_setting_configselect($name, $title, '', '0', $fontsOpt);
		$setting->set_updatedcallback('theme_reset_all_caches');
		$temp->add($setting);


		$name = 'theme_mb2aofk/fwcel' . $i;
		$title = get_string('fweight','theme_mb2aofk');
		$setting = new admin_setting_configselect($name, $title, '', 'inherit', $fontsWeightOpt);
		$setting->set_updatedcallback('theme_reset_all_caches');
		$temp->add($setting);


	$setting = new admin_setting_configmb2end('theme_mb2aofk/endceltypo' . $i);
	$setting->set_updatedcallback('theme_reset_all_caches');
	$temp->add($setting);
}






$ADMIN->add('theme_mb2aofk', $temp);
