<?php

defined('MOODLE_INTERNAL') || die();


mb2_add_shortcode('boxes', 'mb2_shortcode_boxes');
mb2_add_shortcode('boxesicon', 'mb2_shortcode_boxes');
mb2_add_shortcode('boxesimg', 'mb2_shortcode_boxes');
mb2_add_shortcode('boxescontent', 'mb2_shortcode_boxes');


function mb2_shortcode_boxes ($atts, $content= null){
	extract(mb2_shortcode_atts( array(
		'columns' =>'1', // max 5
		'size' => '',
		'margin' => '',
		'type' => 1,
		'height' => 120,
		'gutter' => 'normal',
		'custom_class' => ''
	), $atts));


	$output = '';

	$GLOBALS['box_type'] = $type;
	$GLOBALS['height'] = $height;

	$cls = $size === 'small' ? ' boxes-small' : '';
	$cls .= ' gutter-' . $gutter;
	$cls .= $custom_class ? ' ' . $custom_class : '';

	$style = $margin !='' ? ' style="padding:' . $margin . ';"' : '';

	$output .= '<div class="theme-boxes theme-col-' . $columns . $cls . ' clearfix"' . $style . '>';

	$output .= mb2_do_shortcode($content);

	$output .= '</div>';

	return $output;

	// This is require for other boxes type
	// Icons or images
	inset($GLOBALS['box_type']);

}





mb2_add_shortcode('boximg', 'mb2_shortcode_boximg');


function mb2_shortcode_boximg ($atts, $content = null){
	extract(mb2_shortcode_atts( array(
		'image' =>'',
		'link' =>'',
		'type' => '',
		'text2' => '',
		'link_target' =>'',
		'color' =>''
	), $atts));

	$output = '';
	$cls = '';
	$boxstyle = '';

	if ($type == '' && isset($GLOBALS['box_type']))
	{
		$type = $GLOBALS['box_type'];
	}

	$cls .= ' type-' . $type;
	$cls .= $color ? ' box-color' : '';
	$cls .= $text2 ? ' istext2' : '';

	$style = $color ? ' style="background-color:' . $color . ';"' : '';

	if ($style && $type != 1)
	{
		$boxstyle = $style;
	}

	$output .= '<div class="theme-box">';
	$output .= $link !='' ? '<a href="' . $link . '" class="theme-box-link" target="' . $link_target . '">' : '';
	$output .= '<div class="theme-boximg' . $cls . '">';
	$output .= $type == 1 ? '<img class="theme-boximg" src="' . $image . '" alt="">' : '';
	$output .= '<div class="theme-boxcontent">';
	$output .= '<div class="theme-boxcontent-inner"' . $boxstyle . '>';
	$output .= '<div class="theme-boxcontent-inner2">';
	$output .= $type != 1 ? '<div class="theme-boximg-wrap"><img class="theme-boximg" src="' . $image . '" alt=""></div>' : '';
	$output .= '<h4 class="text1">' . $content . '</h4>';
	$output .= $type != 1 && $text2 ? '<div class="text2">' . $text2 . '</div>' : '';
	$output .= '</div>';
	$output .= '</div>';
	$output .= '</div>';

	if ($type == 1 && $text2)
	{
		$output .= '<div class="theme-boxcontent2">';
		$output .= '<div class="theme-boxcontent-inner">';
		$output .= '<div class="theme-boxcontent-inner2">';
		$output .= '<div class="text2">' . $text2 . '</div>';
		$output .= '</div>';
		$output .= '</div>';
		$output .= '</div>';
	}

	$output .= ($style && $type == 1) ? '<div class="bg"' . $style . '></div>' : '';

	$output .= '</div>';
	$output .= $link !='' ? '</a>' : '';
	$output .= '</div>';

	return $output;

}







mb2_add_shortcode('boxicon', 'mb2_shortcode_boxicon');


function mb2_shortcode_boxicon ($atts, $content = null){
	extract(mb2_shortcode_atts( array(
		'icon' =>'fa-rocket',
		'type' => '',
		'title'=> '',
		'link' => '',
		'linktext' => '',
		'color' => 'primary',
		'custom_color' => '',
		'link_target' =>'',
		'image' => ''
	), $atts));


	$output = '';
	$height = 290;
	$heightstyle = '';
	$readmorelink = 0;
	$imageel = '';

	if ($color !== 'custom')
	{
		$custom_color = 0;
	}

	if ($type == '' && isset($GLOBALS['box_type']))
	{
		$type = $GLOBALS['box_type'];
	}

	if (isset($GLOBALS['height']))
	{
		$height = $GLOBALS['height'];
	}

	if (!$readmorelink && theme_mb2aofk_check_for_tags($content, 'a'))
	{
		$link = 0;
	}

	if ($type !=4 && $link && $linktext)
	{
		$readmorelink = 1;
	}

	if ($type == 4)
	{
		$heightstyle = ' style="height:' . $height . 'px;"';
		$imageel = $image ? '<div class="theme-boxicon-image" style="background-image:url(\'' .$image . '\');"></div>' : '';
	}

	$pref = theme_mb2aofk_font_icon_prefix($icon);

	$colorstylebg = ($type == 4 && $custom_color) ? ' style="background-color:' . $custom_color . ';"' : '';
	$colorstylebg2 = ($type == 1 && $custom_color) ? ' style="border-color:' . $custom_color . ';color:' . $custom_color . ';"' : '';

	$output .= '<div class="theme-box">';

	$output .= '<div class="theme-boxicon type-' . $type . ' color-' . $color . '"' . $colorstylebg . '>';
	$output .= ($link && !$linktext) ? '<a href="' . $link . '" target="' . $link_target . '">' : '';
	$output .= '<div class="theme-boxicon-inner"' . $heightstyle . '>';
	$output .= '<div class="theme-boxicon-inner2">';
	$output .= '<div class="theme-boxicon-icon"' . $colorstylebg2 . '>';
	$output .= '<i class="' . $pref . $icon . '"></i>';
	$output .= '</div>';

	$output .= '<div class="theme-boxicon-content">';

	if ($title)
	{
		$output .= '<h4>';
		$output .= $title;
		$output .= '</h4>';
	}

	$output .= $content ? '<div class="theme-boxicon-text">' . mb2_do_shortcode($content) . '</div>' : '';
	$output .= ($readmorelink) ? '<p class="readmore"><a href="' . $link . '"  target="' . $link_target . '">' . $linktext . '</a></p>' : '';
	$output .= '</div>';
	$output .= $imageel;
	$output .= '</div>';

	$output .= '</div>';

	$output .= ($link && !$linktext) ? '</a>' : '';
	$output .= '</div>';
	$output .= '</div>';


	return $output;

}





mb2_add_shortcode('boxcontent', 'mb2_shortcode_boxcontent');

function mb2_shortcode_boxcontent ($atts, $content = null){
	extract(mb2_shortcode_atts( array(
		'icon' =>'',
		'type' => '',
		'title'=> '',
		'link' =>'',
		'linktext' => '',
		'color' => 'primary',
		'link_target' =>''
	), $atts));


	$output = '';

	if ($type == '' && isset($GLOBALS['box_type']))
	{
		$type = $GLOBALS['box_type'];
	}

	$pref = theme_mb2aofk_font_icon_prefix($icon);

	if (!$linktext && theme_mb2aofk_check_for_tags($content, 'a'))
	{
		$link = 0;
	}

	$boxCls = $icon !='' ? ' isicon' : ' noicon';
	$boxCls .= $link !='' ? ' islink' : '';

	$output .= '<div class="theme-box">';

	$output .= '<div class="theme-boxcontent type-' . $type . ' color-' . $color . $boxCls . '">';

	$output .= ($link && !$linktext) ? '<a href="' . $link . '" target="' . $link_target . '">' : '';
	$output .= '<div class="theme-boxcontent-content">';
	$output .=  $icon !='' ?'<div class="theme-boxcontent-icon">' : '';
	$output .=  $icon !='' ? '<i class="' . $pref . $icon . '"></i>' : '';
	$output .=  $icon !='' ?'</div>' : '';
	$output .= $title !='' ? '<h4>' . $title . '</h4>' : '';
	$output .= $content ? '<div class="theme-boxcontent-text">' . mb2_do_shortcode($content) . '</div>' : '';
	$output .= ($link && $linktext) ? '<a class="theme-boxcontent-readmore btn btn-primary" href="' . $link . '" target="' . $link_target . '">' . $linktext . '</a>' : '';
	$output .= '</div>';

	$output .= ($link && !$linktext) ? '</a>' : '';
	$output .= '</div>';
	$output .= '</div>';

	return $output;

}
