<?php

defined('MOODLE_INTERNAL') || die();


mb2_add_shortcode('row', 'mb2_shortcode_row');


function mb2_shortcode_row ($atts, $content= null)
{
	extract(mb2_shortcode_atts( array(
		'rowheader' => 0,
		'rowheader_content' => '',
		'rowheader_textcolor' => '',
		'rowheader_bgcolor' => '',
		'bgcolor' => '',
		'prbg' => 0,
		'scheme' => 'light',
		'bgimage' => '',
		'pt' =>0,
		'pb' => 0,
		'fw' => 0,
		'custom_class' => '',
		'rowhidden' => 0,
		'rowlang' => '',
		'rowaccess' => 0
	), $atts));

	$output = '';
	$bg_image_style = $bgimage ? ' style="background-image:url(\'' . $bgimage . '\');"' : '';
	$headercls = '';
	$rowheader_style = '';
	$cls = $custom_class ? ' ' . $custom_class : '';
	$cls .= ' pre-bg' . $prbg;
	$cls .= ' ' . $scheme;
	$cls .= ' isfw' . $fw;

	$lang_arr = explode(',', $rowlang);
	$trimmed_lang_arr = array_map('trim', $lang_arr);

	if ($rowlang && !in_array(current_language(), $trimmed_lang_arr))
	{
		return ;
	}

	if ($rowhidden && !is_siteadmin())
	{
		return ;
	}

	if ($rowaccess == 1)
	{
		if (!isloggedin() || isguestuser())
		{
			return ;
		}
	}
	elseif ($rowaccess == 2)
	{
		if (isloggedin() && !isguestuser())
		{
			return ;
		}
	}

	if ($rowhidden && is_siteadmin())
	{
		$cls .= ' hiddenel';
		$headercls .= ' hiddenel';
	}

	$row_style = ' style="';
	$row_style .= 'padding-top:' . $pt . 'px;';
	$row_style .= 'padding-bottom:' . $pb . 'px;';
	$row_style .= $bgcolor ? 'background-color:' . $bgcolor . ';' : '';
	$row_style .= '"';

	$isid = theme_mb2aofk_get_id_from_class( $custom_class );
	$id_attr = $isid ? ' id="' . $isid . '" ' : '';

	$output .= '<div' . $id_attr . ' class="mb2-pb-fprow' . $cls . '"' . $bg_image_style . '>';
	$output .= '<div class="section-inner mb2-pb-row-inner "' . $row_style . '>';

	if ($rowheader)
	{
		if ( $rowheader_bgcolor )
		{
			$rowheader_style = ' style="background-color:' . $rowheader_bgcolor . ';"';
			$headercls .= ' isheaderbg';
		}

		$output .= '<div class="mb2-pb-fprow-header' . $headercls . '"' . $rowheader_style . '>';
		$output .= '<div class="container-fluid">';
		$output .= '<div class="row">';
		$output .= '<div class="col-md-12">';
		$output .= '<h2 class="h1" style="color:' . $rowheader_textcolor . ';">' . mb2_do_shortcode(html_entity_decode($rowheader_content)) . '</h2>';
		$output .= '</div>';
		$output .= '</div>';
		$output .= '</div>';
		$output .= '<span class="mb2-pb-row-header-arrow" style="border-color:' . $rowheader_bgcolor . ';"></span>';
		$output .= '</div>';
	}

	$output .= !$fw ? '<div class="container-fluid">' : '';
	$output .= !$fw ? '<div class="row">' : '';
	$output .= mb2_do_shortcode($content);
	$output .= !$fw ? '</div>' : '';
	$output .= !$fw ? '</div>' : '';
	$output .= '</div>';
	$output .= '</div>';

	return $output;

}
